KintsugiKintsugi
API reference / Update physical nexus

Update physical nexus

PUT/v1/nexus/physical_nexus/{physical_nexus_id}

The Update Physical Nexus API allows you to modify the details of an existing physical nexus by its unique ID.

Authorization

x-api-keystringRequired

Your secret API key. Include it with every request.

x-organization-idstringRequired

Identifies the organization this request acts on.

Path parameters

physical_nexus_idstringRequired

The unique identifier of the physical nexus to update.

Body

start_datestringRequired

The date when the nexus became effective (YYYY-MM-DD).

end_datestring

The date when the nexus ends, if applicable (YYYY-MM-DD).

categoryPhysicalNexusCategoryRequired

The updated reason for the nexus, such as PHYSICAL_BUSINESS_LOCATION or TELECOMMUTING_OR_REMOTE_EMPLOYEE, etc.

Available options:PHYSICAL_BUSINESS_LOCATIONTELECOMMUTING_OR_REMOTE_EMPLOYEEWARRANTY_AND_REPAIR_SERVICESCATALOGUE_DISTRIBUTION_OR_ADVERTISING_MATERIALDELIVERY_BY_COMMON_CARRIERDELIVERY_BY_OWN_VEHICLESIN_STATE_SALES_PERSONINDEPENDENT_CONTRACTOR_OR_THIRD_PARTY_SALES_PERSONWAREHOUSE_AND_INVENTORY_PRESENCEEMPLOYEES_AGENTS_CONTRACTORSOWN_LEASE_A_PROPERTYINVENTORYDELIVERY_USING_COMPANY_VEHICLESOWN_BUSINESS_INFRASTRUCTURE_AND_EQUIPMENTON_SITE_INSTALLATION_MAINTENANCE_SERVICESFREQUENT_PARTICIPATION_IN_TRADE_SHOWS_EVENTSMANUFACTURE_OR_PRODUCTION_IN_CANADAPERFORMING_SERVICES_IN_THE_JURISDICTIONMANUFACTURING_FACILITIESSERVERS_DATA_CENTERSTRADE_SHOW_PRESENCETRADE_SHOW_PRESENCE_WITHOUT_SALESDIGITAL_INFRASTRUCTURE_LOCALIZEDPERMANENT_ESTABLISHMENTENTER_CONTRACTS_WITH_LOCALSCONSIGNMENT_STOCK_ARRANGEMENTS
street_1string

Primary street address for the physical presence location.

street_2string

Additional street address details, such as suite or unit number.

citystring

City of the physical presence location.

postal_codestring

ZIP or postal code of the physical presence location.

Response

country_codeCountryCodeEnumRequired

The country code in ISO 3166-1 alpha-2 format (e.g., US).

Available options:AFAXALDZASADAOAIAQAGARAMAWAUATAZBSBHBDBBBYBEBZBJBMBTBOBQBABWBVBRIOBNBGBFBICVKHCMCAKYCFTDCLCNCXCCCOKMCGCDCKCRHRCUCWCYCZDKDJDMDOECEGSVGQEREESZETFKFOFJFIFRGFPFTFGAGMGEDEGHGIGRGLGDGPGUGTGGGNGWGYHTHMVAHNHKHUISINIDIRIQIEIMILITCIJMJPJEJOKZKEKIKPKRKWKGLALVLBLSLRLYLILTLUMOMGMWMYMVMLMTMHMQMRMUYTMXFMMDMCMNMEMSMAMZMMNANRNPNLNCNZNINENGNUNFMKMPNOOMPKPWPSPAPGPYPEPHPNPLPTPRQARERORURWBLSHKNLCMFPMVCWSSMSTSASNRSSCSLSGSXSKSISBSOZAGSSSESLKSDSRSJSECHSYTWTJTZTHTLTGTKTOTTTNTRTMTCTVUGUAAEGBUSUMUYUZVUVEVNVGVIWFEHYEZMZWXKZZ_EU
state_codestringRequired

The state or province code in ISO 3166-2 format (e.g., CA).

start_datestringRequired

The date when the nexus became effective (YYYY-MM-DD).

end_datestring

The date when the nexus ended, if applicable.

categoryPhysicalNexusCategoryRequired

The reason for the nexus (e.g., 'TELECOMMUTING_OR_REMOTE_EMPLOYEE').

Available options:PHYSICAL_BUSINESS_LOCATIONTELECOMMUTING_OR_REMOTE_EMPLOYEEWARRANTY_AND_REPAIR_SERVICESCATALOGUE_DISTRIBUTION_OR_ADVERTISING_MATERIALDELIVERY_BY_COMMON_CARRIERDELIVERY_BY_OWN_VEHICLESIN_STATE_SALES_PERSONINDEPENDENT_CONTRACTOR_OR_THIRD_PARTY_SALES_PERSONWAREHOUSE_AND_INVENTORY_PRESENCEEMPLOYEES_AGENTS_CONTRACTORSOWN_LEASE_A_PROPERTYINVENTORYDELIVERY_USING_COMPANY_VEHICLESOWN_BUSINESS_INFRASTRUCTURE_AND_EQUIPMENTON_SITE_INSTALLATION_MAINTENANCE_SERVICESFREQUENT_PARTICIPATION_IN_TRADE_SHOWS_EVENTSMANUFACTURE_OR_PRODUCTION_IN_CANADAPERFORMING_SERVICES_IN_THE_JURISDICTIONMANUFACTURING_FACILITIESSERVERS_DATA_CENTERSTRADE_SHOW_PRESENCETRADE_SHOW_PRESENCE_WITHOUT_SALESDIGITAL_INFRASTRUCTURE_LOCALIZEDPERMANENT_ESTABLISHMENTENTER_CONTRACTS_WITH_LOCALSCONSIGNMENT_STOCK_ARRANGEMENTS
external_idstring

Optional external identifier for the nexus.

sourcePhysicalNexusSource

The source of the physical nexus presence. Possible values: USER, DEEL.

Available options:USERDEEL
street_1string

Primary street address for the physical presence location.

street_2string

Additional street address details, such as suite or unit number.

citystring

City of the physical presence location.

postal_codestring

ZIP or postal code of the physical presence location.

idstringRequired

The unique identifier for the physical nexus.

200

Successfully created physical nexus

401

Unauthenticated request.

404

Resource not found

422

Validation error

500

Internal server error

cURL
PUT /v1/nexus/physical_nexus/{physical_nexus_id}
-H "x-api-key: ***"
-H "x-organization-id: ***"
{
"start_date": "2024-01-01",
"end_date": "2025-01-01",
"category": "PHYSICAL_BUSINESS_LOCATION",
"street_1": "123 Main Street",
"street_2": "Suite 100",
"city": "San Francisco",
"postal_code": "94102"
}
Example request
https://api.trykintsugi.com/v1/nexus/physical_nexus/{physical_nexus_id}
Response
{
"country_code": "US",
"state_code": "CA",
"start_date": "2024-01-01",
"end_date": "2025-01-01",
"category": "PHYSICAL_BUSINESS_LOCATION",
"external_id": "ext_ABC123"
}